Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractFilters

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractFilters

public class ContractFilters extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractFilters.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractFilters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractFilters.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getFaceType()`
  `long`
  `getGroupMask()`
  `String`
  `getTitle()`
  `boolean`
  `isClosed()`
  `boolean`
  `isHidden()`
  `boolean`
  `isSubContracts()`
  `ContractFilters`
  `setClosed(boolean closed)`
  `ContractFilters`
  `setComment(String comment)`
  `ContractFilters`
  `setContractId(int contractId)`
  `ContractFilters`
  `setFaceType(int faceType)`
  `ContractFilters`
  `setGroupMask(long groupMask)`
  `ContractFilters`
  `setHidden(boolean hidden)`
  `ContractFilters`
  `setSubContracts(boolean subContracts)`
  `ContractFilters`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractFilters

    public ContractFilters()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public ContractFilters setContractId(int contractId)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public ContractFilters setTitle(String title)

  - ### getComment

    public String getComment()

  - ### setComment

    public ContractFilters setComment(String comment)

  - ### getFaceType

    public int getFaceType()

  - ### setFaceType

    public ContractFilters setFaceType(int faceType)

  - ### getGroupMask

    public long getGroupMask()

  - ### setGroupMask

    public ContractFilters setGroupMask(long groupMask)

  - ### isSubContracts

    public boolean isSubContracts()

  - ### setSubContracts

    public ContractFilters setSubContracts(boolean subContracts)

  - ### isClosed

    public boolean isClosed()

  - ### setClosed

    public ContractFilters setClosed(boolean closed)

  - ### isHidden

    public boolean isHidden()

  - ### setHidden

    public ContractFilters setHidden(boolean hidden)

  - ### builder

    public static ContractFilters.Builder builder()